Making contract compatible with newer solidity compiler

I have a simple timelock contract however it doesn’t work with modern solidity compilers, Could anyone make my contract compatible with solidity newer than 0.5.16? Thanks. Here is the code, it only works with solidity version 0.3.5 contract timeLock { struct accountData { uint balance; uint releaseTime; } mapping (address => accountData) accounts; function payIn(uint…

Details